package domain


type AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto struct {
    /*
        分组序号     */
    Number  *int64 `json:"number,omitempty" `

    /*
        分组名称     */
    Name  *string `json:"name,omitempty" `

    /*
        分组类型，1: 普通分组， 2: 换购分组， 3: 买赠分组     */
    Type  *int64 `json:"type,omitempty" `

    /*
        换购分组标识 defalutValue:false    */
    Exchange  *bool `json:"exchange,omitempty" `

    /*
        换购规则     */
    ExchangeRule  *AlibabaRetailMarketingItempoolActivityUpdateExchangeRuleDto `json:"exchange_rule,omitempty" `

    /*
        是否生效分组（多分组情况下，可能为false，例如商品池换购，普通逻辑分组为false，换购分组为true）     */
    EffectiveGroup  *bool `json:"effective_group,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto) SetNumber(v int64) *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto {
    s.Number = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto) SetName(v string) *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto {
    s.Name = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto) SetType(v int64) *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto {
    s.Type = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto) SetExchange(v bool) *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto {
    s.Exchange = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto) SetExchangeRule(v AlibabaRetailMarketingItempoolActivityUpdateExchangeRuleDto) *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto {
    s.ExchangeRule = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto) SetEffectiveGroup(v bool) *AlibabaRetailMarketingItempoolActivityUpdateLogicGroupDto {
    s.EffectiveGroup = &v
    return s
}
